#include <bits/stdc++.h>
using namespace std;
int c[100],i=0;
void th(int n)
{

	int a;
	if(n>0)
	{
		c[i]=n%2;
		i++;
		th(n/2);
	}

}
int main()

{
	int a,n;

	ifstream f1("DQNP.INP");
	f1>>n;
	th(n);
	f1.close();
		ofstream f2("DQNP.OUT");
		for (a=i-1;a>=0;a--)f2<<c[a];
		f2<<endl;
		f2.close();
}
